<?php
/*------------------------------------------------------------------------
# "Hot Snowflake" Joomla template - January, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states
		$showpanel[1] = $this->countModules('panel1');
		$showpanel[2] = $this->countModules('panel2');
		$showpanel[3] = $this->countModules('panel3');
		$showpanel[4] = $this->countModules('panel4');
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');

		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$menu = JFactory::getApplication()->getMenu();
		$showcarousel = $this->countModules('carousel');
		$showtoolbar = $this->countModules('toolbar');
		$showinset = $this->countModules('inset');
		
		$panelmodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showpanel[$loop]) { $panelmodules++; }
		}
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
        $columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "285"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "285");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$searchWidth = $templateWidth - 386;
		$overallWidth = $templateWidth + 100;
		$blogWidth = $contentWidth - 143;
		$carouselWidth = $templateWidth + 116;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		$lightboxLoad = $this->params->get("lightboxLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie(Style, $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{

		$bodyText = $this->params->get("bodyText", "#c9c9c9");
		$contentWrap = $this->params->get("contentWrap", "transparent");
		$headerWrap = $this->params->get("headerWrap", "transparent");
		$backgroundImage = $this->params->get("background", "bg1");
		$backgroundColor = $this->params->get("backgroundColor", "#000000");
		$topMenuBg = $this->params->get("topMenuBg", "#000000");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuButton = $this->params->get("topMenuButton", "#222222");
		$topMenuHoverButton = $this->params->get("topMenuHoverButton", "#ffffff");
		$topMenuText = $this->params->get("topMenuText", "#ffffff");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#222222");	
		$mainMenuButton = $this->params->get("mainMenuButton", "#1c2024");
		$mainMenuText = $this->params->get("mainMenuText", "#ffffff");
		$mainMenuHoverText = $this->params->get("mainMenuHoverText", "#cccccc");
		$mainMenuButtonActive = $this->params->get("mainMenuButtonActive", "#e4e37c");
		$mainMenuTextActive = $this->params->get("mainMenuTextActive", "#000000");
		$breadcrumbsBg = $this->params->get("breadcrumbsBg", "#000000");
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#ffffff");
		$galleryBg = $this->params->get("galleryBg", "#000000");
		$bottomBg = $this->params->get("bottomBg", "#000000");
		$bottomText = $this->params->get("bottomText", "#ffffff");
		$headingBg = $this->params->get("headingBg", "#000000");
		$componentHeadingText = $this->params->get("componentHeadingText", "#ffffff");
		$headingText = $this->params->get("headingText", "#ffffff");
		$headingHoverText = $this->params->get("headingHoverText", "#e4e37c");
		$columnBg = $this->params->get("columnBg", "#000000");
		$columnFirstWord = $this->params->get("columnFirstWord", "#e4e37c");
		$columnHeading = $this->params->get("columnHeading", "#ffffff");
		$columnText = $this->params->get("columnText", "#ffffff");
		$panelBg = $this->params->get("panelBg", "#51a0b1");
		$panelText = $this->params->get("panelText", "#dddddd");
		$panelHeadings = $this->params->get("panelHeadings", "#ffffff");
		$panelBorder = $this->params->get("panelBorder", "#ffffff");
		$bottomBgColor = $this->params->get("bottomBgColor", "#121212");

		}
?>

<?php	// for demo purposes only, you may delete it

$menuAnimationEffectDemo = '';
if (isset($_GET['menuAnimationEffect'])) {
	$menuAnimationEffectDemo = $_GET['menuAnimationEffect'];
}
if($menuAnimationEffectDemo) { $menuAnimationEffect = $menuAnimationEffectDemo; };
?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_snowflake/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_snowflake/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_snowflake/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_snowflake/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>

<!--[if IE 7]>
<style type="text/css">
#bubble li {
    display: inline;
}
</style>
<![endif]-->

<?php
/* The following line loads the MooTools JavaScript Library */
JHtml::_('behavior.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if ($panelmodules) { ?>
<!-- top panel -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_snowflake/js/toppanel.js"></script>
<?php } ?>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_snowflake/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_snowflake/js/fontResize.js"></script>
<?php } ?>

<?php if($lightboxLoad) { ?>
<!-- lightbox -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_snowflake/js/jquery.lightbox-0.5.min.js"></script>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_snowflake/css/jquery.lightbox-0.5.css" type="text/css" />
<script type="text/javascript">
	jQuery(function() {
		jQuery('#gallery a').lightBox();
	});
</script>
<?php } ?>

</head>
<body <?php if ($backgroundImage!="none") { ?>background="<?php echo $this->baseurl ?>/templates/hot_snowflake/images/<?php echo $backgroundImage; ?>.jpg"<?php }else{ ?>bgcolor="<?php echo $backgroundColor; ?>"<?php } ?>>
<?php if ($panelmodules) { ?>
<div id="top-panel">
     <div class="topPanelModules">
     	<?php if($showpanel[1]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel1" style="hot" /></div>
        <?php } if($showpanel[2]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel2" style="hot" /></div>
        <?php } if($showpanel[3]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel3" style="hot" /></div>
        <?php } if($showpanel[4]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel4" style="hot" /></div>
        <?php } ?>
    </div>
    <div style="clear:both"></div>
</div>
<div id="sub-panel"><a href="#" id="toggle"><span id="shText">Unfreeze!</span></a></div>
<?php } ?>
<div class="hotwrapper">
<div class="wrapper_left_edge">
<div class="wrapper_right_edge">
	<div class="header">
    	<div class="header_right">
            <div class="logo">
                <a href="index.php"><img src="<?php echo $this->baseurl ?>/templates/hot_snowflake/images/logo.png" width="386" height="158" alt="Hot Snowflake" /></a>
            </div>
            <div class="search_wrap">
                <div class="search_pad">
                    <jdoc:include type="modules" name="user4" style="none" />
                </div>
            </div>
        </div>
    </div>
    <?php if ($showuser3) { ?>
    <div id="topmenu_wrap">
        <div id="topmenu_left"></div>
        <div id="topmenu">
            <div id="topmenu_pad">
                <jdoc:include type="modules" name="user3" style="none" />
            </div>
        </div>
        <div id="topmenu_right"></div>
        <div style="clear:both"></div>
    </div>
    <?php } ?>
    <?php if ($showuser1) { ?>
    <div class="gallery">
        <div class="gallery_right">
        	<div class="gallery_left">
            	<jdoc:include type="modules" name="user1" style="xhtml" />
            </div>
        </div>
    </div>
    <?php } ?>
    <?php if (($showbreadcrumbs)&&($menu->getActive() != $menu->getDefault())) { ?>
    <div class="path">
    	<div class="path_pad">
        	<jdoc:include type="modules" name="breadcrumbs" style="none" />
        </div>
    </div>
    <?php } ?>
    <?php if ($uppermodules) { ?>
    <div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="hot" /></div>
        <?php } if($showadvert[2]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="hot" /></div>
        <?php } if($showadvert[3]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="hot" /></div>
        <?php } if($showadvert[4]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="hot" /></div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <div class="main_area">
        <?php if ($showleft) { ?>
        <div class="column_left">
            <jdoc:include type="modules" name="left" style="hot" />
        </div>
        <?php } ?>
        <div class="content_wrap">
            <?php if ($showinset) { ?>
            <div>
                <jdoc:include type="modules" name="inset" style="hot" />
            </div>
            <?php } ?>
            <div class="content_pad">
                <jdoc:include type="message" />
                <jdoc:include type="component" />
            </div>
            <?php if ($showtoolbar) { ?>
            <div>
                <jdoc:include type="modules" name="toolbar" style="hot" />
            </div>
            <?php } ?>
        </div>
        <?php if ($showright) { ?>
        <div class="column_right">
            <jdoc:include type="modules" name="right" style="hot" />
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
</div>
</div>
</div>
<div id="mountain"></div>
<div class="wrapper_bottom">
    <?php if ($showcarousel) { ?>
    <div class="carousel_module">
        <jdoc:include type="modules" name="carousel" />          
    </div>
    <?php } ?>
    <?php if ($bottommodules) { ?>
    <div class="bottom">
        <?php if($showuser[5]) { ?>
        <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="hot" /></div>
        <?php } if($showuser[6]) { ?>
        <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="hot" /></div>
        <?php } if($showuser[7]) { ?>
        <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user7" style="hot" /></div>
        <?php } if($showuser[8]) { ?>
        <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user8" style="hot" /></div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <div class="footer_wrap">
        <div class="footer">
            <div class="footer_pad">
                <jdoc:include type="modules" name="footer" />
                <?php if($fontResizeLoad) { ?>
                <div id="font_resize">
                    <a href="#" class="decreaseFont" title="Font Decrease">
                    	<img src="<?php echo $this->baseurl ?>/templates/hot_snowflake/images/font_minus.png" alt="font decrease" />
                    </a>
                    <a href="#" class="resetFont" title="Font Reset">
                    	<img src="<?php echo $this->baseurl ?>/templates/hot_snowflake/images/font_reset.png" alt="font reset" />
                    </a>
                    <a href="#" class="increaseFont" title="Font Increase">
                    	<img src="<?php echo $this->baseurl ?>/templates/hot_snowflake/images/font_plus.png" alt="font increase" />
                    </a>
            	</div>
                <?php } ?>
            </div>
        </div>
        <div class="footer2">
            <div class="footer_pad">
                <jdoc:include type="modules" name="bottom" style="none" />
            </div>
        </div>
    </div><div class="clr"></div>
</div>
<div style="clear:both"></div>
<jdoc:include type="modules" name="debug" style="none" />    
</body>
</html>